millesima_client_acheteur_index:
    path:     /
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:index}

####################
millesima_client_acheteur_dossier_creer:
    path:     /dossiers/crees
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:listDemandeCreee}

millesima_client_acheteur_dossier_encours:
    path:     /dossiers/encours
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:listDemandeEnCours}

millesima_client_acheteur_dossier_confirmer:
    path:     /dossiers/confirmes
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:listDemandeConfirmee}

millesima_client_acheteur_dossier_valider:
    path:     /dossiers/valides
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:listDemandeValidee}

millesima_client_acheteur_dossier_cloturer:
    path:     /dossiers/clotures
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:listDemandeCloturee}

millesima_client_acheteur_demande:
    path:     /demande/ajout
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:newDemande}

millesima_client_acheteur_demande_edit:
    path:      /demande/{id}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:editDemande}

millesima_client_acheteur_demande_delete:
    path:      /demande/{id}/delete
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:deleteDemande}

millesima_client_acheteur_demande_annuler:
    path:     /demande/{idD}/annuler
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:dossierAnnuler}

#########Ajax requests###########

millesima_client_acheteur_ajax_get_by_region_and_type:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getFournisseursByRegionAndType}
    options:
        expose: true

millesima_client_acheteur_ajax_get_by_region_and_type_for_edit:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getFournisseursByRegionAndTypeEdit}
    options:
        expose: true

millesima_client_acheteur_ajax_get_by_region_and_type_for_show:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getFournisseursByRegionAndTypeEditShow}
    options:
        expose: true

millesima_client_acheteur_ajax_get_articles_by_fournisseur:
    path:     /demande/get_by_fournisseurs/{idFournisseur}
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getArticlesByFournisseur}
    options:
        expose: true

millesima_client_acheteur_ajax_get_articles_by_fournisseur_for_edit:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getArticlesByFournisseurEdit}
    options:
        expose: true

millesima_client_acheteur_ajax_get_articles_by_fournisseur_for_show:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getArticlesByFournisseurEditShow}
    options:
        expose: true

millesima_client_acheteur_ajax_get_comptes_facturation_by_account:
    path:     /demande/get_by_compte/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getCompteFacturationByCompte}
    options:
        expose: true

millesima_client_acheteur_ajax_get_comptes_facturation_by_account_for_edit:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getCompteFacturationByCompteEdit}
    options:
        expose: true

millesima_client_acheteur_ajax_get_comptes_facturation_by_account_for_show:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getCompteFacturationByCompteEditShow}
    options:
        expose: true

millesima_client_acheteur_ajax_get_client:
    path:     /demande/get_client
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getClient}
    options:
        expose: true

millesima_client_acheteur_ajax_verfier_compatibilite_article:
    path:     /demande/article/verification/{articles}/{type}
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getVerificationArticle}
    options:
        expose: true

###############################################################

millesima_client_achetteur_profile:
    path:     /profile
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:showProfile}

millesima_client_achetteur_profile_edit:
    path:     /profile/edit
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:editProfile}

millesima_client_achetteur_coordonne_edit:
    path:     /profile/coordonne/edit
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:editCoordonne}

millesima_client_achetteur_password_edit:
    path:     /profile/password/edit
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:editPassword}

####################

millesima_client_achetteur_user:
    path:     /user/ajout
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:newUser}

millesima_client_achetteur_user_list:
    path:     /user/list
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:listUser}

millesima_client_achetteur_user_edit:
    path:      /user/{salt}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:editUser}

millesima_client_achetteur_user_delete:
    path:      /user/{salt}/delete
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:deleteUser}

####################

millesima_client_achetteur_ajax_get_acheteur_by_account:
    path:     /consulter/liste/acheteur/{id}/{idU}
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:listeAcheteur}
    options:
            expose: true

millesima_client_achetteur_ajax_affect_acheteur_to_demandeur:
    path:     /affect/{id}/{idA}/{idD}/acheteur
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:affectationAcheteurToDemandeur}
    options:
            expose: true

millesima_client_achetteur_ajax_annuler_affect_acheteur_to_demandeur:
    path:     /affect/annuler/{id}/{idA}/{idD}/acheteur
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:annulerAffectationAcheteurToDemandeur}
    options:
            expose: true

####################

millesima_client_achetteur_ajax_get_demandeur_by_account:
    path:     /consulter/liste/demandeur/{id}/{idU}
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:listeDemandeur}
    options:
            expose: true

millesima_client_achetteur_ajax_affect_demandeur_to_representant:
    path:     /affect/{id}/{idD}/{idR}/demandeur
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:affectationDemandeurToRepresentant}
    options:
            expose: true

millesima_client_achetteur_ajax_annuler_affect_demandeur_to_representant:
    path:     /affect/annuler/{id}/{idD}/{idR}/demandeur
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:annulerAffectationDemandeurToRepresentant}
    options:
            expose: true


